%define tarname tpty
Summary: Another Pty(pseudo terminal) library
Name: ruby-tpty
Version: 0.0.1
Release: 1
License: distributable
Group: Applications/Ruby
Source: http://www.tmtm.org/ruby/tpty/%{tarname}-%{version}.tar.gz
URL: http://www.tmtm.org/ruby/tpty/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
Another Pty(pseudo terminal) library, this time for Ruby.

%prep
%setup -n %{tarname}-%{version}

%build
ruby extconf.rb
make
strip tpty.so
ruby -i -pe 'sub(%r(/usr/local/bin/ruby), "/usr/bin/ruby")' \
    sample/{script,escbuf}

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README.ja sample/ test.rb

%changelog
* Fri Jun 27 2003 Ian Macdonald <ian@caliban.org> 0.0.1-1
- 0.0.1
